punktde/editconflictprevention

Prevents edit conflicts when multiple editors are working on the site by either warn the user or deny editing.

Installs: 3 389

Dependents: 0

Suggesters: 0

Security: 0

Stars: 9

Watchers: 6

Forks: 2

Open Issues: 2

Type:neos-package

0.3.2 2021-07-06 06:05 UTC

This package is auto-updated.

Last update: 2021-09-06 06:33:39 UTC


README

Build Status Latest Stable Version Total Downloads License

This package helps preventing edit conflicts when several editors are working on content simultaneously.

Information about changes of the current document in other workspaces

When changes in other workspaces exist on the same document, a warning is displayed in the upper toolbar.

Edit conflict warning Clicking that warning opens a modal, showing a list of changed nodes and where they have been changed. Contact information from Neos Party is displayed to make it easier to communicate.

Edit conflict details

Prevent the editor to do conflicting changes

There are also privilege targets available which prevents editing a document and all containing content nodes when changes in other workspaces are detected. To prevent an editor from editing such pages, add the following privilege configuration to your Policy.yaml

roles:
  'Neos.Neos:AbstractEditor':
    privileges:
      -
        privilegeTarget: 'PunktDe.EditConflictPrevention.EditNodeWithChangesInOtherWorkspaces'
        permission: DENY
      -
        privilegeTarget: 'PunktDe.EditConflictPrevention.EditNodePropertiesWithChangesInOtherWorkspaces'
        permission: DENY

Installation

$ composer require punktde/editconflictprevention  

Configuration

excludedDocumentTypes: List the document types here, that you like to exclude from detecting conflicts.